// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    id: root

    property string label: "----"
//    property string labelColor: main.isTft && selected ? "darkorange" : "black"
    property string labelColor: "black"
    property string buttonUpImage: "graphics/205/SM_Button_Up.png"
    property string buttonDownImage: "graphics/205/SM_Button_Down.png"
    property bool showImage: false
    property alias font: labelArea.font
    property int labelWidth: labelArea.implicitWidth

    width: childrenRect.width
    height: visible ? 56 : 0
    x: 30

    color: "transparent"
    opacity: 1

    signal pressed()

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: root.width
    property bool disabled: !enabled

    function leftPressed() {}

    function rightPressed() {}

    function enterPressed() {
        root.pressed()
    }

    ImageButton {
        id: inlineImage
        width: root.showImage ? childrenRect.width : 0
        visible: root.showImage
        upimage: root.buttonUpImage
        downimage: root.buttonDownImage
        anchors.left: parent.left
        anchors.verticalCenter: root.verticalCenter
        onClicked: {
            root.pressed()
        }
    }

    Text{
        id: labelArea
        width: root.labelWidth
        text: label
        anchors.verticalCenter: root.verticalCenter
        anchors.left: inlineImage.right
        color: root.labelColor
        wrapMode: Text.WordWrap
    }

}
