import QtQuick 1.1

ListModel {
    id: tv_country_codes

    function getCountry(code) {
        for( var i = tv_country_codes.count-1 ; i >= 0 ; i--) {
            if ( tv_country_codes.get(i).code === code ) {
                return tv_country_codes.get(i)
            }
        }
    }

    function findIndexByCode(code) {
        for (var i = 0; i < count; i++) {
            if (get(i).code === code) {
                return i
            }
        }
        return -1
    }

    ListElement { code: "us"; label: QT_TR_NOOP("United States"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "us-hrc"; label: QT_TR_NOOP("United States (HRC)"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "us-cable-hrc" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "us-unicable"; label: QT_TR_NOOP("Unicable"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "unicable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "de-unicable"; label: QT_TR_NOOP("Unicable"); tuner: "DVB"; norm: "PAL-BG" ; actable: "unicable" ; attable: "europe-west" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "br-unicable"; label: QT_TR_NOOP("Unicable"); tuner: "ISDB" ; norm:"PAL-M" ; actable: "unicable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "ca"; label: QT_TR_NOOP("Canada"); tuner: "ATSC" ; norm: "NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"  ; countryId: -1 ; cardModel: "" }
    ListElement { code: "at"; label: QT_TR_NOOP("Austria"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x0A ; cardModel: "TM017" }
    ListElement { code: "be"; label: QT_TR_NOOP("Belgium"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x11 ; cardModel: "TM017" }
    ListElement { code: "cn"; label: QT_TR_NOOP("China"); tuner: "DMB" ; norm: "PAL-DK" ; actable: "unicable" ; attable: "china-bcast" ; countryId: 0x1E ; cardModel: "TM016" }
    ListElement { code: "cy"; label: QT_TR_NOOP("Cyprus"); tuner:"DVB"; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" ; countryId: 0x24 ; cardModel: "TM017" }
    ListElement { code: "cz"; label: QT_TR_NOOP("Czech Republic"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x25 ; cardModel: "TM017" }
    ListElement { code: "dk"; label: QT_TR_NOOP("Denmark"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x26 ; cardModel: "TM017" }
    ListElement { code: "eg"; label: QT_TR_NOOP("Egypt"); tuner:"DVB" ; norm:"SECAM-B" ; actable: "unicable" ; attable: "europe-west"; countryId: 0x2B ; cardModel: "TM017" }
    ListElement { code: "fr"; label: QT_TR_NOOP("France"); tuner:"DVB" ; norm: "SECAM-L" ; actable: "france" ; attable: "france" ; countryId: 0x31  ; cardModel: "TM017" }
    ListElement { code: "de"; label: QT_TR_NOOP("Germany"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x35 ; cardModel: "TM017" }
    ListElement { code: "gr"; label: QT_TR_NOOP("Greece"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x36 ; cardModel: "TM017" }
    ListElement { code: "hk"; label: QT_TR_NOOP("Hong Kong"); tuner: "DMB" ; norm: "PAL-I" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x41 ; cardModel: "TM016" }
    ListElement { code: "hu"; label: QT_TR_NOOP("Hungary"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x42 ; cardModel: "TM017" }
    ListElement { code: "IN"; label: QT_TR_NOOP("India"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"; countryId: 0x44 ; cardModel: "TM017" }
    ListElement { code: "id"; label: QT_TR_NOOP("Indonesia"); tuner: "DVB" ; norm:"PAL-BG" ; actable: "us-cable" ; attable: "us-bcast"; countryId: 0x45 ; cardModel: "TM017" }
    ListElement { code: "ie"; label: QT_TR_NOOP("Ireland"); tuner:"DVB" ; norm: "PAL-I" ; actable: "ireland" ; attable: "ireland" ; countryId: 0x48 ; cardModel: "TM017" }
    ListElement { code: "il"; label: QT_TR_NOOP("Israel"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"; countryId: 0x49 ; cardModel: "TM017" }
    ListElement { code: "it"; label: QT_TR_NOOP("Italy"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "italy" ; attable: "italy" ; countryId: 0x4A ; cardModel: "TM017" }
    ListElement { code: "jp"; label: QT_TR_NOOP("Japan"); tuner:"ISDB" ; norm: "NTSC-M" ; actable: "japan-cable" ; attable: "japan-bcast" ; countryId: 0x4D ; cardModel: "TM016,TM017" }
    ListElement { code: "lu"; label: QT_TR_NOOP("Luxembourg"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "france" ; attable: "france" ; countryId: 0x58 ; cardModel: "TM017" }
    ListElement { code: "my"; label: QT_TR_NOOP("Malaysia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" ; countryId: 0x5D ; cardModel: "TM017" }
    ListElement { code: "nl"; label: QT_TR_NOOP("Netherlands"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x3F ; cardModel: "TM017" }
    ListElement { code: "no"; label: QT_TR_NOOP("Norway"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x6E ; cardModel: "TM017" }
    ListElement { code: "ph"; label: QT_TR_NOOP("Philippines"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"; countryId: 0x74 ; cardModel: "TM016,TM017" }
    ListElement { code: "pl"; label: QT_TR_NOOP("Poland"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x75 ; cardModel: "TM017" }
    ListElement { code: "pt"; label: QT_TR_NOOP("Portugal"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x76 ; cardModel: "TM017" }
    ListElement { code: "ru"; label: QT_TR_NOOP("Russia"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "russia" ; attable: "russia" ; countryId: 0x7B ; cardModel: "TM017" }
    ListElement { code: "sk"; label: QT_TR_NOOP("Slovakia"); tuner:"DVB" ;norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x84 ; cardModel: "TM017" }
    ListElement { code: "kp"; label: QT_TR_NOOP("South Korea"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "es"; label: QT_TR_NOOP("Spain"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x88 ; cardModel: "TM017" }
    ListElement { code: "lk"; label: QT_TR_NOOP("Sri Lanka"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"; countryId: -1 ; cardModel: "" }
    ListElement { code: "se"; label: QT_TR_NOOP("Sweden"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x8C ; cardModel: "TM017" }
    ListElement { code: "ch"; label: QT_TR_NOOP("Switzerland"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x8D ; cardModel: "TM017" }
    ListElement { code: "tw"; label: QT_TR_NOOP("Taiwan"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x90 ; cardModel: "TM017" }
    ListElement { code: "th"; label: QT_TR_NOOP("Thailand"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x92 ; cardModel: "TM017" }
    ListElement { code: "tr"; label: QT_TR_NOOP("Turkey"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x96 ; cardModel: "TM017" }
    ListElement { code: "gb"; label: QT_TR_NOOP("UK"); tuner:"DVB" ; norm:"PAL-I" ; actable: "europe-west" ; attable: "europe-west" ; countryId: 0x9B ; cardModel: "TM017" }
    ListElement { code: "ua"; label: QT_TR_NOOP("Ukraine"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "ma"; label: QT_TR_NOOP("Morocco"); tuner:"DVB" ; norm:"SECAM-B" ; actable: "unicable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "ng"; label: QT_TR_NOOP("Nigeria"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"; countryId: -1 ; cardModel: "" }
    ListElement { code: "qa"; label: QT_TR_NOOP("Qatar"); tuner: "DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" ; countryId: 0x78 ; cardModel: "TM017" }
    ListElement { code: "sa"; label: QT_TR_NOOP("Saudi Arabia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-east" ; attable: "europe-east" ; countryId: 0x7F ; cardModel: "TM017" }
    ListElement { code: "za"; label: QT_TR_NOOP("South Africa"); tuner:"DVB" ; norm:"PAL-I" ; actable: "southafrica" ; attable: "southafrica" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "ae"; label: QT_TR_NOOP("UAE"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" ; countryId: 0x9A ; cardModel: "TM017" }
    ListElement { code: "bz"; label: QT_TR_NOOP("Belize"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "bm"; label: QT_TR_NOOP("Bermuda Islands"); tuner:"DVB" ;norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "cr"; label: QT_TR_NOOP("Costa Rica"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x21 ; cardModel: "TM016,TM017" }
    ListElement { code: "cw"; label: QT_TR_NOOP("Curacao"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "do"; label: QT_TR_NOOP("Dominican Republic"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "sv"; label: QT_TR_NOOP("El Salvador"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "gl"; label: QT_TR_NOOP("Greenland"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "gp"; label: QT_TR_NOOP("Guadeloupe"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast"; countryId: -1 ; cardModel: "" } //French overseas territory
    ListElement { code: "gt"; label: QT_TR_NOOP("Guatemala"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x3A ; cardModel: "TM016,TM017" }
    ListElement { code: "ht"; label: QT_TR_NOOP("Haiti"); tuner: "ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"; countryId: -1 ; cardModel: "" }
    ListElement { code: "hn"; label: QT_TR_NOOP("Honduras"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "mq"; label: QT_TR_NOOP("Martinique"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" } //Frech overseas territory
    ListElement { code: "mx"; label: QT_TR_NOOP("Mexico"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "ni"; label: QT_TR_NOOP("Nicaragua"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "pa"; label: QT_TR_NOOP("Panama"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x71 ; cardModel: "TM017" }
    ListElement { code: "pr"; label: QT_TR_NOOP("Puerto Rico"); tuner:"ATSC" ;norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"; countryId: -1 ; cardModel: "" }
    ListElement { code: "mf"; label: QT_TR_NOOP("Saint Martin"); tuner:"ATSC" ;norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast"; countryId: -1 ; cardModel: "" } //?
    ListElement { code: "pm"; label: QT_TR_NOOP("Saint Pierre"); tuner: "ATSC" ;norm:"NTSC-M"; actable: "unicable" ; attable: "us-bcast"; countryId: -1 ; cardModel: "" } // French overseas territory
    ListElement { code: "tt"; label: QT_TR_NOOP("Trinidad and Tobago"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "au"; label: QT_TR_NOOP("Australia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "australia" ; attable: "australia-optus" ; countryId: 0x09 ; cardModel: "TM017" }
    ListElement { code: "nz"; label: QT_TR_NOOP("New Zealand"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "newzealand" ; attable: "newzealand" ; countryId: 0x6A ; cardModel: "TM017" }
    ListElement { code: "ar"; label: QT_TR_NOOP("Argentina"); tuner:"DVB" ; norm:"PAL-N" ; actable: "argentina" ; attable: "argentina" ; countryId: 0x07 ; cardModel: "TM016,TM017" }
    ListElement { code: "bo"; label: QT_TR_NOOP("Bolivia"); tuner: "ISDB" ; norm:"PAL-N" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x15 ; cardModel: "TM016,TM017" }
    ListElement { code: "br"; label: QT_TR_NOOP("Brazil"); tuner: "ISDB" ; norm:"PAL-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x17 ; cardModel: "TM016,TM017" }
    ListElement { code: "cl"; label: QT_TR_NOOP("Chile"); tuner:"ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x1D ; cardModel: "TM016,TM017" }
    ListElement { code: "co"; label: QT_TR_NOOP("Colombia"); tuner: "DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"; countryId: 0x1F ; cardModel: "TM017" }
    ListElement { code: "py"; label: QT_TR_NOOP("Paraguay"); tuner: "ISDB" ; norm:"PAL-N" ; actable: "argentina" ; attable: "argentina" ; countryId: -1 ; cardModel: "" }
    ListElement { code: "pe"; label: QT_TR_NOOP("Peru"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x73 ; cardModel: "TM016,TM017" }
    ListElement { code: "ve"; label: QT_TR_NOOP("Venezuela"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" ; countryId: 0x9F ; cardModel: "TM016,TM017" }
}
